﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraComboSearch
{
    public partial class Form1 : Form
    {
        UltraCombo combo = new UltraCombo();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.combo.DataSource = ultraDataSource1;
            
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            var layout = e.Layout;
            var band = layout.Bands[0];
            var col = band.Columns["Name"];

            col.EditorComponent = this.combo;
            col.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.Suggest;
            col.AutoSuggestFilterMode = Infragistics.Win.AutoSuggestFilterMode.Contains;
            col.ButtonDisplayStyle = ButtonDisplayStyle.Always;

            combo.DisplayMember = "Name";
            combo.ValueMember = "Name";
        }
    }
}
